﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Group> gr = new List<Group>();
            gr.Add(new Group() { Id = 0, Name = "group1", Exists = true });
            gr.Add(new Group() { Id = 1, Name = "group2", Exists = false });
            gr.Add(new Group() { Id = 2, Name = "group3", Exists = true });

            List<Group> gr1 = new List<Group>();
            gr1.Add(new Group() { Id = 0, Name = "group1", Exists = false });
            gr1.Add(new Group() { Id = 1, Name = "group2", Exists = true });
            gr1.Add(new Group() { Id = 2, Name = "group3", Exists = true });

            List<User> data = new List<User>();
            data.Add(new User() { Id = 0, Name = "user1", Groups = gr });
            data.Add(new User() { Id = 1, Name = "user2", Groups = gr1 });

            this.DataContext = data;
        }
    }

    public class User
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public List<Group> Groups { get; set; }
    }

    public class Group
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public bool Exists { get; set; }
    }
}
